<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/fmc.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">fmc.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/dbc/fmc_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">//* Includes ------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &lt;stdio.h&gt;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">   32</a></span>int32_t  <a class="code hl_variable" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">   38</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">FMC_Close</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>{</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~FMC_ISPCON_ISPEN_Msk;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>}</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">   52</a></span>int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a>(uint32_t u32PageAddr)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>{</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    int32_t  tout = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga169a984ef7e9360c545fd9d11d398d32">FMC_TIMEOUT_ERASE</a>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc49387d8d57bcd15b65f0dc3002ccdd">FMC_ISPCMD_PAGE_ERASE</a>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = u32PageAddr;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="keywordflow">while</span> ((tout-- &gt; 0) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>)) {}</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="keywordflow">if</span> ((tout &lt;= 0) || (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>))</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_variable" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a> = -1;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>  <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>}</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">   77</a></span>int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">FMC_GetBootSource</a> (<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>{</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="keywordflow">if</span> (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a>)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>}</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">   90</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">FMC_Open</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>{</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>}</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">  102</a></span>uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a>(uint32_t u32Addr)</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>{</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    int32_t  tout = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga169a984ef7e9360c545fd9d11d398d32">FMC_TIMEOUT_ERASE</a>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ef5fc95ade50272ef27548db3cc833d">FMC_ISPCMD_READ</a>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = u32Addr;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <span class="keywordflow">while</span> ((tout-- &gt; 0) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>)) {}</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <span class="keywordflow">if</span> (tout &lt;= 0)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <a class="code hl_variable" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a> = -1;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">return</span> 0xFFFFFFFF;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <span class="keywordflow">return</span> <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>}</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">  127</a></span>uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">FMC_ReadCID</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>{</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    int32_t  tout = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86383a94592860a6e4d2fb391ed70f48">FMC_TIMEOUT_READ</a>;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b1b56e5bfe7a7df142ec9c4c0466cee">FMC_ISPCMD_READ_CID</a>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = 0x0;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    <span class="keywordflow">while</span> ((tout-- &gt; 0) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>)) {}</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    <span class="keywordflow">if</span> (tout &lt;= 0)</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <a class="code hl_variable" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a> = -1;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">return</span> 0xFFFFFFFF;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    <span class="keywordflow">return</span> <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>}</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">  151</a></span>uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">FMC_ReadPID</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>{</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    int32_t  tout = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86383a94592860a6e4d2fb391ed70f48">FMC_TIMEOUT_READ</a>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga812d22e2cb56c1a796b90a08fca60805">FMC_ISPCMD_READ_PID</a>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = 0x04;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    <span class="keywordflow">while</span> ((tout-- &gt; 0) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>)) {}</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    <span class="keywordflow">if</span> (tout &lt;= 0)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <a class="code hl_variable" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a> = -1;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">return</span> 0xFFFFFFFF;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    <span class="keywordflow">return</span> <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>}</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">  176</a></span>uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">FMC_ReadUCID</a>(uint32_t u32Index)</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>{</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    int32_t  tout = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86383a94592860a6e4d2fb391ed70f48">FMC_TIMEOUT_READ</a>;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2ffaaafb784dda3627705765b00f26b">FMC_ISPCMD_READ_UID</a>;</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = (0x04 * u32Index) + 0x10;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    <span class="keywordflow">while</span> ((tout-- &gt; 0) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>)) {}</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    <span class="keywordflow">if</span> (tout &lt;= 0)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <a class="code hl_variable" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a> = -1;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">return</span> 0xFFFFFFFF;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    <span class="keywordflow">return</span> <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>}</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">  202</a></span>uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">FMC_ReadUID</a>(uint32_t u32Index)</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>{</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    int32_t  tout = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86383a94592860a6e4d2fb391ed70f48">FMC_TIMEOUT_READ</a>;</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2ffaaafb784dda3627705765b00f26b">FMC_ISPCMD_READ_UID</a>;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = 0x04 * u32Index;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    <span class="keywordflow">while</span> ((tout-- &gt; 0) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>)) {}</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    <span class="keywordflow">if</span> (tout &lt;= 0)</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    {</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <a class="code hl_variable" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a> = -1;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">return</span> 0xFFFFFFFF;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    }</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    <span class="keywordflow">return</span> <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>}</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span> </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">  224</a></span>uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">FMC_ReadDataFlashBaseAddr</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>{</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    <span class="keywordflow">return</span> <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;DFBADR;</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>}</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span> </div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span> </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">  235</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">FMC_SetVectorPageAddr</a>(uint32_t u32PageAddr)</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>{</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    int32_t  tout = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac8b01409d41454d5b67afe38a0453d43">FMC_TIMEOUT_WRITE</a>;</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span> </div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4153087dcc74a23ac04f562d0d735d1">FMC_ISPCMD_VECMAP</a>;</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = u32PageAddr;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    <span class="keywordflow">while</span> ((tout-- &gt; 0) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>)) {}</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    <span class="keywordflow">if</span> (tout &lt;= 0)</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <a class="code hl_variable" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a> = -1;</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>}</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">  252</a></span>uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">FMC_GetVectorPageAddr</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>{</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    <span class="keywordflow">return</span> (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPSTA &amp; 0x0FFFFF00ul);</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>}</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span> </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">  265</a></span>int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">FMC_Write</a>(uint32_t u32Addr, uint32_t u32Data)</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>{</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>    int32_t  tout = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac8b01409d41454d5b67afe38a0453d43">FMC_TIMEOUT_WRITE</a>;</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span> </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1aaae73ab5d5e5a4cee66c98e14623d5">FMC_ISPCMD_PROGRAM</a>;</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = u32Addr;</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT = u32Data;</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>    <span class="keywordflow">while</span> ((tout-- &gt; 0) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>)) {}</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    <span class="keywordflow">if</span> ((tout &lt;= 0) || (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPSTA &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#af734a7a02d24f50c151a1ba14900cc6e">FMC_ISPSTA_ISPFF_Msk</a>))</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>    {</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>        <a class="code hl_variable" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a> = -1;</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>    }</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>    <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>}</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span> </div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span> </div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">  292</a></span>int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">FMC_ReadConfig</a>(uint32_t *u32Config, uint32_t u32Count)</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>{</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>    u32Config[0] = <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a>(<a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>);</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>    <span class="keywordflow">if</span> (u32Count &lt; 2)</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>    u32Config[1] = <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a>(<a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>+4);</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>    <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>}</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span> </div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span> </div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">  311</a></span>int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">FMC_WriteConfig</a>(uint32_t *u32Config, uint32_t u32Count)</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>{</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>    <a class="code hl_define" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa482e0d0389b4b3661c20427665e5daf">FMC_ENABLE_CFG_UPDATE</a>();</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>    <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a>(<a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>);</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>    <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">FMC_Write</a>(<a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>, u32Config[0]);</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>    <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">FMC_Write</a>(<a class="code hl_define" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>+4, u32Config[1]);</div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>    <a class="code hl_define" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9edbe1405f140aa36e5f3af3ac9360ae">FMC_DISABLE_CFG_UPDATE</a>();</div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>    <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>}</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span> </div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span> <span class="comment">/* end of group NANO1X2_FMC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span> <span class="comment">/* end of group NANO1X2_FMC_Driver */</span></div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span> </div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span> </div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span> </div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a54f026a02e094489bf3c236973ba7cb6"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a></div><div class="ttdeci">#define FMC_ISPCON_ISPFF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02632">Nano1X2Series.h:2632</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a5dcac03e5833339e9c6dc19953125c65"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a></div><div class="ttdeci">#define FMC_ISPCON_BS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02620">Nano1X2Series.h:2620</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ac487ff3130efdc1632f966d53e200141"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a></div><div class="ttdeci">#define FMC_ISPTRG_ISPGO_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02650">Nano1X2Series.h:2650</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aea164e8089d483d6a9eaeb541429828b"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a></div><div class="ttdeci">#define FMC_ISPCON_ISPEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02617">Nano1X2Series.h:2617</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_af734a7a02d24f50c151a1ba14900cc6e"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#af734a7a02d24f50c151a1ba14900cc6e">FMC_ISPSTA_ISPFF_Msk</a></div><div class="ttdeci">#define FMC_ISPSTA_ISPFF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02665">Nano1X2Series.h:2665</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga169a984ef7e9360c545fd9d11d398d32"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga169a984ef7e9360c545fd9d11d398d32">FMC_TIMEOUT_ERASE</a></div><div class="ttdeci">#define FMC_TIMEOUT_ERASE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00051">fmc.h:51</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga1aaae73ab5d5e5a4cee66c98e14623d5"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1aaae73ab5d5e5a4cee66c98e14623d5">FMC_ISPCMD_PROGRAM</a></div><div class="ttdeci">#define FMC_ISPCMD_PROGRAM</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00058">fmc.h:58</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga52a7acc3043b680daac35a5ec0189c3b"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a></div><div class="ttdeci">#define FMC_CONFIG_BASE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00044">fmc.h:44</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga5b1b56e5bfe7a7df142ec9c4c0466cee"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b1b56e5bfe7a7df142ec9c4c0466cee">FMC_ISPCMD_READ_CID</a></div><div class="ttdeci">#define FMC_ISPCMD_READ_CID</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00060">fmc.h:60</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga812d22e2cb56c1a796b90a08fca60805"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga812d22e2cb56c1a796b90a08fca60805">FMC_ISPCMD_READ_PID</a></div><div class="ttdeci">#define FMC_ISPCMD_READ_PID</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00061">fmc.h:61</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga86383a94592860a6e4d2fb391ed70f48"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86383a94592860a6e4d2fb391ed70f48">FMC_TIMEOUT_READ</a></div><div class="ttdeci">#define FMC_TIMEOUT_READ</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00049">fmc.h:49</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga9ef5fc95ade50272ef27548db3cc833d"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ef5fc95ade50272ef27548db3cc833d">FMC_ISPCMD_READ</a></div><div class="ttdeci">#define FMC_ISPCMD_READ</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00057">fmc.h:57</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gab4153087dcc74a23ac04f562d0d735d1"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4153087dcc74a23ac04f562d0d735d1">FMC_ISPCMD_VECMAP</a></div><div class="ttdeci">#define FMC_ISPCMD_VECMAP</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00063">fmc.h:63</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gac8b01409d41454d5b67afe38a0453d43"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac8b01409d41454d5b67afe38a0453d43">FMC_TIMEOUT_WRITE</a></div><div class="ttdeci">#define FMC_TIMEOUT_WRITE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00050">fmc.h:50</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaf2ffaaafb784dda3627705765b00f26b"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2ffaaafb784dda3627705765b00f26b">FMC_ISPCMD_READ_UID</a></div><div class="ttdeci">#define FMC_ISPCMD_READ_UID</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00062">fmc.h:62</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gafc49387d8d57bcd15b65f0dc3002ccdd"><div class="ttname"><a href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc49387d8d57bcd15b65f0dc3002ccdd">FMC_ISPCMD_PAGE_ERASE</a></div><div class="ttdeci">#define FMC_ISPCMD_PAGE_ERASE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00059">fmc.h:59</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga100c2bb214379f1ffb7d7ad3b6bae466"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">FMC_Close</a></div><div class="ttdeci">void FMC_Close(void)</div><div class="ttdoc">Disable FMC ISP function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00038">fmc.c:38</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1a26d3133f06211f483cb3b7a834fe31"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a></div><div class="ttdeci">int32_t g_FMC_i32ErrCode</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00032">fmc.c:32</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga21c1c982b1575821e1b95e67059686d5"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">FMC_ReadConfig</a></div><div class="ttdeci">int32_t FMC_ReadConfig(uint32_t *u32Config, uint32_t u32Count)</div><div class="ttdoc">Execute ISP command to read User Configuration.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00292">fmc.c:292</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27d8d6317541982cc1555f44afcc7a92"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">FMC_SetVectorPageAddr</a></div><div class="ttdeci">void FMC_SetVectorPageAddr(uint32_t u32PageAddr)</div><div class="ttdoc">This function will force re-map assigned flash page to CPU address 0x0.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00235">fmc.c:235</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga28f55079cc6dc3f4641d98bd66647509"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">FMC_ReadCID</a></div><div class="ttdeci">uint32_t FMC_ReadCID(void)</div><div class="ttdoc">Read company ID.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00127">fmc.c:127</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d133263bbf32628fb34da7f3ce2f65a"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">FMC_GetVectorPageAddr</a></div><div class="ttdeci">uint32_t FMC_GetVectorPageAddr(void)</div><div class="ttdoc">Obtain the current vector page address setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00252">fmc.c:252</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga592aa16573d8ed31aec3ad5fb4e3495a"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">FMC_ReadUID</a></div><div class="ttdeci">uint32_t FMC_ReadUID(uint32_t u32Index)</div><div class="ttdoc">This function reads one of the three UID.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00202">fmc.c:202</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga770503ecc8c81b51a08a512f3795ca0d"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a></div><div class="ttdeci">int32_t FMC_Erase(uint32_t u32PageAddr)</div><div class="ttdoc">Execute ISP command to erase a flash page. The page size is 512 bytes.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00052">fmc.c:52</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8bc30659ec176ab90b22a7f469781a43"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">FMC_ReadDataFlashBaseAddr</a></div><div class="ttdeci">uint32_t FMC_ReadDataFlashBaseAddr(void)</div><div class="ttdoc">Get the base address of Data Flash if enabled.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00224">fmc.c:224</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga99d0a2fc9f1b2afadd34f8b3346a0db5"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">FMC_Write</a></div><div class="ttdeci">int32_t FMC_Write(uint32_t u32Addr, uint32_t u32Data)</div><div class="ttdoc">Execute ISP command to program a word to flash.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00265">fmc.c:265</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9edbe1405f140aa36e5f3af3ac9360ae"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9edbe1405f140aa36e5f3af3ac9360ae">FMC_DISABLE_CFG_UPDATE</a></div><div class="ttdeci">#define FMC_DISABLE_CFG_UPDATE()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00085">fmc.h:85</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa137e07140d3d8782ccc2135a454fba5"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a></div><div class="ttdeci">uint32_t FMC_Read(uint32_t u32Addr)</div><div class="ttdoc">Execute ISP command to read a word from flash.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00102">fmc.c:102</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa482e0d0389b4b3661c20427665e5daf"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa482e0d0389b4b3661c20427665e5daf">FMC_ENABLE_CFG_UPDATE</a></div><div class="ttdeci">#define FMC_ENABLE_CFG_UPDATE()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d00/fmc_8h_source.html#l00084">fmc.h:84</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab043658cd7493669ee3875a05be3485c"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">FMC_ReadPID</a></div><div class="ttdeci">uint32_t FMC_ReadPID(void)</div><div class="ttdoc">Read product ID.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00151">fmc.c:151</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab6ee808b1bcd13ae19c206bab89bd718"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">FMC_GetBootSource</a></div><div class="ttdeci">int32_t FMC_GetBootSource(void)</div><div class="ttdoc">Get the current boot source.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00077">fmc.c:77</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaba70c75883a8bba7ff7f93b3cc75fac6"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">FMC_WriteConfig</a></div><div class="ttdeci">int32_t FMC_WriteConfig(uint32_t *u32Config, uint32_t u32Count)</div><div class="ttdoc">Execute ISP command to write User Configuration.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00311">fmc.c:311</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadd57308fea4569d942facee962482f9e"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">FMC_Open</a></div><div class="ttdeci">void FMC_Open(void)</div><div class="ttdoc">Enable FMC ISP function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00090">fmc.c:90</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc1ab62919a2d7714a4514cafa1dfea8"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">FMC_ReadUCID</a></div><div class="ttdeci">uint32_t FMC_ReadUCID(uint32_t u32Index)</div><div class="ttdoc">This function reads one of the four UCID.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00176">fmc.c:176</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga970254e6dadedc433f57d43709636664"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a></div><div class="ttdeci">#define FMC</div><div class="ttdoc">Pointer to FMC register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10665">Nano1X2Series.h:10665</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
